Replace a Table Pay bill with optimistic concurrency
curl --request PUT \
--url https://api.simplepay.mx/v1/table-pay/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_version": 1,
"line_items": [
{
"name": "<string>",
"quantity": 2,
"unit_amount_minor": 4503599627370495,
"catalog_item_id": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expected_version: 1,
line_items: [
{
name: '<string>',
quantity: 2,
unit_amount_minor: 4503599627370495,
catalog_item_id: '<string>'
}
]
})
};
fetch('https://api.simplepay.mx/v1/table-pay/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/table-pay/sessions/{sessionId}"
payload = {
"expected_version": 1,
"line_items": [
{
"name": "<string>",
"quantity": 2,
"unit_amount_minor": 4503599627370495,
"catalog_item_id": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)PUT
/
v1
/
table-pay
/
sessions
/
{sessionId}
Replace a Table Pay bill with optimistic concurrency
curl --request PUT \
--url https://api.simplepay.mx/v1/table-pay/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_version": 1,
"line_items": [
{
"name": "<string>",
"quantity": 2,
"unit_amount_minor": 4503599627370495,
"catalog_item_id": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expected_version: 1,
line_items: [
{
name: '<string>',
quantity: 2,
unit_amount_minor: 4503599627370495,
catalog_item_id: '<string>'
}
]
})
};
fetch('https://api.simplepay.mx/v1/table-pay/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/table-pay/sessions/{sessionId}"
payload = {
"expected_version": 1,
"line_items": [
{
"name": "<string>",
"quantity": 2,
"unit_amount_minor": 4503599627370495,
"catalog_item_id": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Encabezados
Required string length:
8 - 255Parámetros de ruta
Cuerpo
application/json
Rango requerido:
x >= 0Required array length:
1 - 200 elementsRespuesta
Updated table bill.
Última modificación el 1 de septiembre de 2026